Group: Development/Perl
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-JSON-Path
Version:        0.420
Release:        alt1_4
Summary:        Search nested hashref/arrayref structures using JSONPath

License:        MIT
URL:            https://metacpan.org/release/JSON-Path
Source0:        https://cpan.metacpan.org/authors/id/P/PO/POPEFELIX/JSON-Path-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  perl-devel >= 5.16.0
BuildRequires:  rpm-build-perl
BuildRequires:  perl(Carp.pm)
BuildRequires:  perl(Carp/Assert.pm)
BuildRequires:  perl(Exporter.pm)
BuildRequires:  perl(Exporter/Easy.pm)
BuildRequires:  perl(Exporter/Tiny.pm)
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(JSON/MaybeXS.pm)
BuildRequires:  perl(JSON/Parse.pm)
BuildRequires:  perl(LV.pm)
BuildRequires:  perl(List/Util.pm)
BuildRequires:  perl(Readonly.pm)
BuildRequires:  perl(Safe.pm)
BuildRequires:  perl(Scalar/Util.pm)
BuildRequires:  perl(Storable.pm)
BuildRequires:  perl(Sys/Hostname.pm)
BuildRequires:  perl(Test/Deep.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(Test/Most.pm)
BuildRequires:  perl(Test2/V0.pm)
BuildRequires:  perl(Tie/IxHash.pm)
BuildRequires:  perl(Try/Tiny.pm)
BuildRequires:  perl(base.pm)
BuildRequires:  perl(overload.pm)
BuildRequires:  perl(strict.pm)
BuildRequires:  perl(warnings.pm)
BuildRequires:  perl(JSON.pm)
BuildRequires:  perl(LV.pm)

# Those are only needed when building for RHEL, on Fedora they come in as
# dependencies of the above
%if 0%{?rhel} && 0%{?rhel} < 7
BuildRequires:  perl(CPAN.pm)
%endif
Source44: import.info


%description
This module implements JSONPath, an XPath-like language for searching JSON-
like structures.


%prep
%setup -q -n JSON-Path-%{version}


%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
%make_build


%install
make pure_install PERL_INSTALL_ROOT=%{buildroot}
# %{_fixperms} %{buildroot}/*


%check
make test


%files
%doc Changes README
%{perl_vendor_privlib}/JSON*


%changelog
* Fri Mar 01 2019 Igor Vlasenko <viy@altlinux.ru> 0.420-alt1_4
- update to new release by fcimport

* Wed Aug 01 2018 Igor Vlasenko <viy@altlinux.ru> 0.420-alt1_3
- update to new release by fcimport

* Sun Jul 15 2018 Igor Vlasenko <viy@altlinux.ru> 0.420-alt1_2
- update to new release by fcimport

* Sun May 20 2018 Igor Vlasenko <viy@altlinux.ru> 0.420-alt1_1
- update to new release by fcimport

* Wed Apr 04 2018 Igor Vlasenko <viy@altlinux.ru> 0.411-alt1_2
- update to new release by fcimport

* Thu Aug 03 2017 Igor Vlasenko <viy@altlinux.ru> 0.205-alt1_8
- update to new release by fcimport

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 0.205-alt1_7
- update to new release by fcimport

* Sun May 29 2016 Igor Vlasenko <viy@altlinux.ru> 0.205-alt1_6
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 0.205-alt1_5
- update to new release by fcimport

* Mon Sep 21 2015 Igor Vlasenko <viy@altlinux.ru> 0.205-alt1_3
- update to new release by fcimport

* Tue Sep 16 2014 Igor Vlasenko <viy@altlinux.ru> 0.205-alt1_1
- update to new release by fcimport

* Tue Jul 01 2014 Igor Vlasenko <viy@altlinux.ru> 0.101-alt2_8
- update to new release by fcimport

* Tue Aug 27 2013 Igor Vlasenko <viy@altlinux.ru> 0.101-alt2_7
- update to new release by fcimport

* Mon Aug 05 2013 Igor Vlasenko <viy@altlinux.ru> 0.101-alt2_6
- update to new release by fcimport

* Mon Mar 04 2013 Igor Vlasenko <viy@altlinux.ru> 0.101-alt2_5
- update to new release by fcimport

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 0.101-alt2_4
- update to new release by fcimport

* Fri May 25 2012 Igor Vlasenko <viy@altlinux.ru> 0.101-alt2_2
- fc import

* Thu May 24 2012 Igor Vlasenko <viy@altlinux.ru> 0.101-alt1_2
- fc import

